@import 'assets/variables.scss';

.root {
  position: relative;
  display: block;
  padding: $cell * 3;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 5px;
  width: 300px;
  min-width: 300px;
  margin: $cell * 2;
  font-family: $default-font-family !important;

  &:hover {
    background-color: $super-soft-grey !important;
  }
}

.highlight {
  background-color: $primary-softer-highlight;
}

.desc {
  color: $mid-grey;
  text-transform: capitalize;
}

.delete {
  position: absolute;
  top: $cell;
  right: $cell;
  opacity: 0 !important;
  transition: opacity ease 0.3s;
  background-color: white;
  z-index: 30;
  
  &:hover {
    background-color: white;
    color: #e50000;
  }
}

.clickable {
  cursor: pointer;
}

.root {
  &:hover {
    .delete {
      opacity: 1 !important;
    }
  }
}

.name {
  margin: 0;
  margin-bottom: $cell * 0.5;
}

.count {
  color: $soft-text;
  margin-bottom: $cell;
}

.chips {
  display: flex;
  overflow-x: auto;
  padding-bottom: $cell;
  padding-top: $cell;
}

.chipWrap {
  position: relative;

  .chip {
    padding: $cell * 0.5 $cell;
    background-color: $soft-grey;
    border: 2px solid black;
    margin-right: $cell;
    white-space: nowrap;
    border-radius: 5px;

    &:hover {
      background-color: $somewhat-grey;
      color: white;
    }
  }

  .badge {
    position: absolute;
    top: -8px;
    right: 0px;
    height: 18px;
    text-align: center;
    width: 18px;
    line-height: 1em;
    font-weight: bold;
    font-size: 0.8em;
    color: white;
    padding: 2px;
    border-radius: 50%;
    border: 1px solid black;
    background-color: $primary;
  }
}
